Subject: Re: Voting (again)

From: Sam Hartman <[email-masked]>
Date: Thu, 05 May 2005 21:27:59 -0400

>>>>> "Joe" == Joe Touch <[email-masked]> writes:

    Joe> delegation) or make their work smaller (by encouraging
    Joe> feedback to be directional - as in 'take to WG X' - rather
    Joe> than technical review).

I'll certainly remember this when reviewing documents you author;)

Seriously, I think most people would be really annoyed if I wrote up a
discuss of the form "this sucks for foo reason; please coordinate with
bar wg until they are happy then I'll clear."  They would be even more
unhappy if I wrote up the more realistic "please take this to bar wg
and when they are happy I'll re review."

But I do agree with you that the job of being AD would be easier if
this option existed.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Sam Hartman <[email-masked]>
Date: Thu, 05 May 2005 21:35:34 -0400

>>>>> "Keith" == Keith Moore <[email-masked]> writes:

    >>> I wasn't advocating for more ADs, but for more 'virtual' ADs,
    >>> i.e., to move the work of reviewing out of the ADs, and let
    >>> the ADs distrbute the reviews and collect and interpret the
    >>> results.
    >>  I would agree on one point. Document reviewers seem to me
    >> would help. Most of the initial feedback (at least for my '1'
    >> case) was editorial and not technical. The technical feedback
    >> came later.

    Keith> I can imagine that virtual ADs might be very useful for
    Keith> reviewing early WG drafts (long before the WG thinks it is
    Keith> done), identifying potentially contentious issues and
    Keith> needed cross-area review, giving feedback to the authoring
    Keith> WGs about those, and informing the real ADs about the state
    Keith> of the document.

Yes!  And anyone who wants to do so can feel free to provide comments
as early in the process as they like.

It may well be that having organized virtual ADs would be useful.
Meanwhile, if you want to know what you can do about quality and load
of the IESG, the answer is simple.

Review stuff.  

One technique I've found to be somewhat rewarding from before I was on
the IESG is to pick a technology you are interested in.  Find
documents--especially documents from areas of the IETF not that
familiar with that technology--that use the technology.  Read those
documents and provide review comments.  Try to close with the WGs and
get resolution to your comments.

If you fail and believe that your issues still exist let the
appropriate ADs know.

It doesn't take any special designation to give you the power to
review documents.  Ultimately reviewers are those who write reviews.

--Sam

---

From: Joe Touch <[email-masked]>
Date: Fri, 06 May 2005 08:37:49 -0700

> and when they are happy I'll re review."

Actually, I would consider a diplomatically-worded version of the former
very useful. The latter is the problem - it lacks the reason the WG is
being added as a hurdle.

IMO, anytime a doc is held-up via Discuss, the reason for the discuss
and the criteria under which it can be cleared should both be required.

---

From: [email-masked] (Kai Henningsen)
Date: 08 May 2005 16:44:00 +0200

[email-masked] (Keith Moore)  wrote on 27.04.05 in <[email-masked]>:

> I am not saying that ADs will never misuse their power.  That's what
> the appeals process is for.  I'm saying that under the current situation
> the vast majority of AD "edicts" (as opposed to directed feedback)
> are the result of WGs reaching the point of exhaustion without
> producing good designs.   Fix that problem and it becomes reasonable to
> expect fewer and less onerous AD "edicts" and to push back on those
> edicts more often.

WG exhaustion isn't always a WG problem, either.

ISTR a case of a WG that got replaced its chair by the IESG, and told to  
do its work differently, two or three times - and *every* time, the new  
chair stopped posting to the list after a short time. (The last time, I  
think he came back after a significant timeout.)

That's a recipe for exhaustion if ever I saw one. I might even call it  
active sabotage.

MfG Kai

---

From: Julian Reschke <[email-masked]>
Date: Sun, 08 May 2005 23:54:21 +0200

> That's a recipe for exhaustion if ever I saw one. I might even call it  

I don't know about ISTR, but similar things have happened to the WEBDAV 
working group in the last two years (no, I'm not saying it's 
intentional; but fact is we got two new chairs who did not / do not seem 
to be very interested in the current WG work).

Best regard, Julian

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 09 May 2005 13:56:50 +0200

--On 8. mai 2005 23:54 +0200 Julian Reschke <[email-masked]> wrote:

> working group in the last two years (no, I'm not saying it's intentional;
> but fact is we got two new chairs who did not / do not seem to be very
> interested in the current WG work).

My immediate reaction is "who were the available candidates for chair"....
In contentious groups, the requirement list is roughly (not in priority 
order):

- Knows enough of the technology to understand the issues
- Knows enough about the IETF process to steer the group correctly
- Respected enough by the groups of people involved
- Not strongly identified with any of the camps of contention
- Has time enough available (and an employer or family that will allow them 
to spend that time)
- Has the personal qualities needed to get people to come to consensus
- Is known enough to the AD that he/she is comfortable working with that 
person
- ....and I'm sure there are things I've forgotten.....

And since the intersection of all those qualities is frequently the null 
set, chair candidates tend to be lacking in one or more of these qualities. 
In the cases cited, the "time enough available" may be the factor that 
changed - I don't know the specifics.

I see two possibilities when a chair fails to work out:

- The AD made a bad choice, and there was someone else who could have done 
a better job. Solution: AD needs help in picking chairs.

- There was no better candidate at the time (all the other candidates being 
more obviously the wrong person for the job). Solution: The chairs need 
help in calling for help earlier when they're unable to perform, and the AD 
needs to be more proactive in replacing chairs who aren't doing what they 
should (again going back to the candidate pool).

I suspect that the latter happens more often than the former - but as I 
said, I don't know those specific cases.

                Harald

---

From: Margaret Wasserman <[email-masked]>
Date: Mon, 9 May 2005 08:44:06 -0400

Hi Kai,

>think he came back after a significant timeout.)

I was trying to track down the story regarding this WG, but I can't 
find ISTR among the list of active or concluded IETF WGs.  What is 
the actual WG name and/or acronym?  Is the group currently chartered?

Margaret

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 09 May 2005 15:38:10 +0200

Harald Tveit Alvestrand wrote:
> - Has time enough available (and an employer or family that will allow 
> them to spend that time)
> set, chair candidates tend to be lacking in one or more of these 
> qualities. In the cases cited, the "time enough available" may be the 
> factor that changed - I don't know the specifics.
> 
> - The AD made a bad choice, and there was someone else who could have 
> done a better job. Solution: AD needs help in picking chairs.
> 
> - There was no better candidate at the time (all the other candidates 
> being more obviously the wrong person for the job). Solution: The chairs 
> need help in calling for help earlier when they're unable to perform, 
> and the AD needs to be more proactive in replacing chairs who aren't 
> doing what they should (again going back to the candidate pool).
> 

Me neither. But I would suspect that we aren't careful enough for Chair
positions in being certain that the candidate has enough free time and
full support from their employer. People often seem to take on being WG
Chair without allowing anything like enough time for it, and I guess
ADs need to watch that point.

    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 09 May 2005 17:17:54 +0200

Joe Touch wrote:
...
> Nobody died and made the IESG cop. They took it upon themselves, and
> that's not how things (should) work in the IETF.

I suggest you read RFC 2026 again.

    Brian

---

From: Dave Crocker <[email-masked]>
Date: Mon, 9 May 2005 08:23:43 -0700

>  But I would suspect that we aren't careful enough for Chair
>
>  full support from their employer.

Not that it would guarantee anything, but it might be useful to have a 
candidate for working group chair formally agree to something in the style of 
a contract, mostly to make sure they read a list of requirements and 
expectations for the job.  Such things as the average amount of time required 
could be included in the document.

  d/
  ---
  Dave Crocker
  Brandenburg InternetWorking
  +1.408.246.8253
  dcrocker  a t ...
  WE'VE MOVED to:  www.bbiw.net

---

From: Joe Touch <[email-masked]>
Date: Mon, 09 May 2005 08:33:30 -0700

> I suggest you read RFC 2026 again.

I did; you might as well.

Joe

---

From: John C Klensin <[email-masked]>
Date: Mon, 09 May 2005 11:41:30 -0400

--On Monday, 09 May, 2005 13:56 +0200 Harald Tveit Alvestrand
<[email-masked]> wrote:

> In contentious groups, the requirement list is roughly (not in
> priority order):
> 
> - Has time enough available (and an employer or family that
> will allow them to spend that time)
> - Is known enough to the AD that he/she is comfortable working
> with that person
> And since the intersection of all those qualities is
> frequently the null set, chair candidates tend to be lacking
> in one or more of these qualities. In the cases cited, the
> "time enough available" may be the factor that changed - I
> don't know the specifics.
> 
> - The AD made a bad choice, and there was someone else who
> could have done a better job. Solution: AD needs help in
> picking chairs.
> 
> - There was no better candidate at the time (all the other
> candidates being more obviously the wrong person for the job).
> Solution: The chairs need help in calling for help earlier
> when they're unable to perform, and the AD needs to be more
> proactive in replacing chairs who aren't doing what they
> I suspect that the latter happens more often than the former -
> but as I said, I don't know those specific cases.

Harald,

I would add one, which is the consequence of your "known enough
to the AD..." observation.   There is a completely natural
tendency, whether it causes this problem or others, for the ADs
to keep going back to the same well of people who have known
abilities, especially abilities to handle this sort of
situation.  To the extent to which that happens, it suggests
three meta-issues: 

(i) We aren't doing enough to develop leadership and spread the
responsibilities around.  In many cases, if all of those
criteria cannot be met, it would be far better to drop the
"known enough to the AD" and/or "knows enough about the IETF
process" criteria requirements and focus on the others plus an
apparent willingness to learn, then add in someone who meets
those requirements but whose role is advise and mentor the
Chair(s)  --and do so with some authority and a close
relationship with the AD-- than to focus on those criteria.

(ii) We need to encourage more interactions between sitting ADs
and those who are not already WG Chairs, IESG members, or IAB
members.  The current patterns of ADs tending to spend all of an
IETF week together, with WG Chairs, and monitoring WGs are not
conducive to ADs getting to know people who are not already part
of the leadership structure well enough to meet that criterion.

(iii) Without getting into whether the problem of overlong AD
tenures has been fixed or whether the shorter terms today are
just a temporary aberration, very long tenures on the IESG,
rather than having people regularly return to the trenches and
get first-hand experience, also, IMO, tends to aggravate the
problem of the AD not knowing a wide enough range of possible WG
Chair candidates.

     john

---

From: Clint Chaplin <[email-masked]>
Date: Mon, 9 May 2005 09:03:33 -0700

ISTR = I Seem To Recall

-- 
Clint (JOATMON) Chaplin
Wireless Security Technologist
Wireless Standards Manager

---

From: Jari Arkko <[email-masked]>
Date: Mon, 09 May 2005 22:21:20 +0300

John,

>Chair candidates
All excellent points. I would add that the process should
start from the potential new chair "resource" at least being
(a) known to IETF management so that he can even be
considered and (b) the resource getting experience in IETF
work.

I recall Brian's list of desirable chair characteristics.
I recall that we have had threads about how successful
our review attempts have been. We all called for cross-area
review and high expertise*. I know that when I appoint
editors or secretaries as a chair I go for the best persons
I can find -- even if they are already doing a lot**.

Looks like we are always going to the same pool. No
wonder our re-org and review team attempts sometimes
fail. Those people are already doing all they can. Creating
new forums for them will not increase the amount of time
in a day.

We need to start recruiting new people. There's been
excellent work recently in the training side -- but we also
need to pick those people as editors, secretaries, co-chairs
of a more experienced chair, pick random WG members as
reviewers etc. Of course we are already doing it, but we
need to do more of it. Otherwise the pool does not increase.

--Jari

*) One review team attempt failed after only one review
had been performed, by a know IETF person who is already
120% occupied with reviews anyway. What did the team
accomplish?

**) The most active IETF persons can have as many as ~50
drafts.

---

From: John C Klensin <[email-masked]>
Date: Mon, 09 May 2005 15:30:34 -0400

> need to do more of it. Otherwise the pool does not increase.

I would add one more element to Jari's otherwise excellent
comments.  Part of the way to solve the problem is for those of
us with more experience (at least in years) to start pushing
back, aggressively, on "why don't you take on X" requests.  We
should not be saying "no" but "find someone new as Chair and
I'll be a one-on-one support and training resource" or "find
someone new as editor and I'll agree to review every draft and
revision".  Personally, I've been trying to do approximately
that during the last few years.  My boundary is that I will
chair one-time and controversial BOFs when ADs twist my arm hard
enough, but don't ever expect to be willing to chair or co-chair
a WG again).  But perhaps it is time to make personal policies
or guidelines like that a little more explicit.

    john

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 10 May 2005 13:52:22 +0200

> could be included in the document.

If we're after transparency, maybe this should simply be noted in the
WG Charter.

"The co-chairs have each agreed to provide approximately x% of their
working time for this effort."

     Brian